<?xml version="1.0" standalone="no" ?>
<!-- Startup Configurtion file-->
<Configuration  Lang="0x804=syscfg.chs">

<Catalog name="Communication">
	<Item name="Protocol" 
	      type="COMBOLIST" 
	      content="Protocol" 
	      default="JEDI"
	      description="This item indicates what kind of emulator is used for debugging. " 
	      datatype="string" offset= "196"
	/>
	<Item name="Port" 
	      type="COMBOLIST" 
	      content="Port" 
	      depend="Protocol"
	      
	      description="The Communication port used to connect to emulator. " 
	      datatype="string" offset= "324"
	/>	
	<Item name="" 
	      content="Item" 
	      depend="Port"
	      default=""
	      description="The parameter of your communication channel" 
	      datatype="string" offset= "388"
	/>	
     	<Item name="Driver" type="static" content="Driver" depend="Protocol" 
         	description="" 
         	datatype="string" offset = "260"
     	/>       
</Catalog>

<Catalog name="Target">
	<Item name="CpuCore" 
	      type="COMBOLIST" 
	      content="CpuCore" 
	      default="4kc"
		      description="The Core name of your target CPU " 
	      datatype="string" offset= "132"
	/>
	
	<Item name="CpuName" 
	      type="COMBOLIST" 
	      content="Item" 
	      depend="CpuCore"
	      
	      description="The detail name of your target CPU, debugger use it to find its peripheral " 
	      datatype="string" offset= "4"
	      runedit="1"	      
	/>
        <Item name="Endian" 
            type="COMBOLIST" 
            content="Little!Big" 
            default="Little" 
            description="Indicate the endian mode of your target CPU" 
            datatype="enum" offset = "0" 
         />
		
        <Item name="Initial_File" 
            type="File" 
            content="" 
            default="" 
            description="This file is used to initialize your target board,&lt;br&gt;different board will use different files." 
            datatype="string" offset= "516"
            runedit="1"
         />
        
        <Item name="Cache_Memory" type="edit" content="" default="0x8001ff00" 
            description="Unnecessary option for MIPS, just used to tell ICE calculate Cache size!" 
            datatype="dword" offset = "776" format="dword"
        />
        
        <Item name="Reset_Option" 
            type="COMBOLIST" 
            content="Hardware Reset!Software Reset!Reset Only!Halt Only" 
            default="Hardware Reset" 
            description="Indicate System Reset Type. If connection fails, please try other options" 
            datatype="enum" offset = "1" 
         />
        
        <Item name="Top_Memory" type="edit" content="-1" default="0x80800000" 
            description="The option will be sent to toolchain, and affect the stack allocation." 
            datatype="dword" offset = "772" format="dword" 
            runedit="1"
        />

        <Item name="Register_Map" type="static" content="RegisterMap"  
            depend="CpuCore"
            description="" 
            datatype="string" offset = "780"
        />
        
        <Item name="CpuFamily" type="static" content="family"  
            depend="CpuCore"
            description="Cpu Family Name for internal use" 
            datatype="string" offset = "68"
        />
        
        <Item name="Cpu_Id" type="static" content="CpuId"
        	depend="CpuCore"
        	description=""
        	datatype="u8" offset = "2"
        />
        <Item name="EJtagVersion" 
            type="COMBOLIST" 
            content="1.53!2.61!2.50" 
            default="2.61" 
            description="Indicate the EJtag Version of target board" 
            datatype="enum" offset = "3" 
         />
        <Item name="Mem_Map" type="File" 
	            content="" 
	            default="" 
        	description="The Memory map config file for the target board"
        	datatype="string" offset = "844"
        /> 
        
</Catalog>

<Port name ="Net" title = "IPAddress" type="Edit" default="172.20.1.108" description="Specifies the IP address of the emulator" >
</Port>
		    
<Port name ="LPT" title = "Address" type="Edit" format="dword" default="0x378" ndepend = '1' description="Specifies the address of the parallel port(LPT) used to connect to the emulator">
	
</Port>

<Port name ="COM" type="COMBOLIST" title="BaudRate" default="57600" ndepend = '1' description="Specifies the baudrate of the serial port used to connect the emulator" >
    <Item name = "9600" />
    <Item name = "19200" />
    <Item name = "38400" />
    <Item name = "57600" />
    <Item name = "1152000" />
</Port>

<Endian name="Endian" type="COMBOLIST" default="Little" description="" 
            symbol= "szCpuType"/>
	 
<Protocol name="Simulator"   Driver="simmips.dll" description="This protocol is used to connect simulator."/>
<Protocol name="JEDI" default= "Net" Driver="ocdmips.dll" description="This protocol is used to connect JEDI emulator of JediSystem">
	<Port name="Net"  />
	<Port name="COM1" />
	<Port name="COM2" />
	<Port name="COM3" />
	<Port name="COM4" />
</Protocol>		
<Protocol name="MDB2"  default= "Net" Driver="netmdb2.dll" title = "Target Addr" type="Edit" description="This is a upgrade of MDB protocol, but it need not Target server,&lt;br&gt;You set IPAddress to the IP of your target board.">
	<Port name="Net" />
	<Port name="COM1" />
	<Port name="COM2" />
	<Port name="COM3" />
	<Port name="COM4" />	
</Protocol>

<CpuCore name = "4Kc" family="MIPS" type="COMBOLIST" default="Malta" CpuId="90" RegisterMap="reg_mips.xml;mips_4kc.xml">
	<Item  name="Malta" JtagVer="2" param="Endian"/> 
        <Item  name="ADM5120" JtagVer="1" param="Endian"/> 
        <Item  name="ADM8668" JtagVer="1" param="Endian"/> 
</CpuCore>

<CpuCore name = "R3000" family="MIPS" type="COMBOLIST" default="ARTI2000" CpuId="91" RegisterMap="reg_mips.xml;mips_r3k.xml">
        <Item  name="ARTI2000" JtagVer="0" param="Endian"/> 
        <Item  name="ARTI2001" JtagVer="0" param="Endian"/> 
</CpuCore>
<Reset_Option name="HW Reset and Halt"   description="Emulator send hardware reset signal to target board,&lt;br&gt;then stop the target" />
<Reset_Option name="SW Reset to Reset Vect"   description="Emulator does not send hardware reset signal to target board,&lt;br&gt;just halt target,and initial some registers" />
<Reset_Option name="HW Reset Only"   description="Emulator send hardware reset signal to target board,&lt;br&gt;and let target runing" />
<Reset_Option name="Halt Only"   description="Emulator just stop the target" />


</Configuration>
